Module java.rmi
Package java.rmi.activation

# Class UnknownObjectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.rmi.activation.ActivationException
java.rmi.activation.UnknownObjectException

All Implemented Interfaces:
  `Serializable`

@Deprecated(forRemoval=true, since="15") public class UnknownObjectException extends ActivationException
Deprecated, for removal: This API element is subject to removal in a future version.
See the `java.rmi.activation` package specification for further information.
An `UnknownObjectException` is thrown by methods of classes and interfaces in the `java.rmi.activation` package when the `ActivationID` parameter to the method is determined to be invalid. An `ActivationID` is invalid if it is not currently known by the `ActivationSystem`. An `ActivationID` is obtained by the `ActivationSystem.registerObject` method. An `ActivationID` is also obtained during the `Activatable.register` call.

Since:
  1.2
See Also:
  `Activatable`, `ActivationGroup`, `ActivationID`, `ActivationMonitor`, `ActivationSystem`, `Activator`, Serialized Form

## Field Summary

### Fields declared in class java.rmi.activation.ActivationException

`detail`

## Constructor Summary

Constructors
Constructor
Description
`UnknownObjectException​(String s)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `UnknownObjectException` with the specified detail message.

## Method Summary

### Methods declared in class java.rmi.activation.ActivationException

`getCause, getMessage`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownObjectException

public UnknownObjectException​(String s)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `UnknownObjectException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.2